Disk ARchive: libdar::wrapperlib Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::wrapperlib Class Reference
Private

this class encapsulates calls to libz or libbz2 More...

`#include <wrapperlib.hpp>`

## Public Member Functions
| wrapperlib (wrapperlib_mode mode)
| wrapperlib (const wrapperlib &ref)=delete
| wrapperlib (wrapperlib &&ref) noexcept=delete
wrapperlib & | operator= (const wrapperlib &ref)=delete
wrapperlib & | operator= (wrapperlib &&ref) noexcept=delete
void | set_next_in (const char *x)
void | set_avail_in (U_I x)
U_I | get_avail_in () const
U_64 | get_total_in () const
void | set_next_out (char *x)
char * | get_next_out () const
void | set_avail_out (U_I x)
U_I | get_avail_out () const
U_64 | get_total_out () const
S_I | compressInit (U_I compression_level)
S_I | decompressInit ()
S_I | compressEnd ()
S_I | decompressEnd ()
S_I | compress (S_I flag)
S_I | decompress (S_I flag)
S_I | compressReset ()
S_I | decompressReset ()

## Private Attributes
S_I | level
void(wrapperlib::* | x_set_next_in )(const char *x)
void(wrapperlib::* | x_set_avail_in )(U_I x)
U_I(wrapperlib::* | x_get_avail_in )() const
U_64(wrapperlib::* | x_get_total_in )() const
void(wrapperlib::* | x_set_next_out )(char *x)
char *(wrapperlib::* | x_get_next_out )() const
void(wrapperlib::* | x_set_avail_out )(U_I x)
U_I(wrapperlib::* | x_get_avail_out )() const
U_64(wrapperlib::* | x_get_total_out )() const
S_I(wrapperlib::* | x_compressInit )(U_I compression_level)
S_I(wrapperlib::* | x_decompressInit )()
S_I(wrapperlib::* | x_compressEnd )()
S_I(wrapperlib::* | x_decompressEnd )()
S_I(wrapperlib::* | x_compress )(S_I flag)
S_I(wrapperlib::* | x_decompress )(S_I flag)

## Detailed Description

this class encapsulates calls to libz or libbz2

this is mainly an adaptation of libbz2 specificities to have libb2 acting exactly as libz does.

Definition at line 74 of file wrapperlib.hpp.

## Member Function Documentation

## ◆ compress()

S_I libdar::wrapperlib::compress | ( | S_I | flag | ) |
| inline

Definition at line 99 of file wrapperlib.hpp.

## ◆ compressEnd()

S_I libdar::wrapperlib::compressEnd | ( |  | ) |
| inline

Definition at line 97 of file wrapperlib.hpp.

## ◆ compressInit()

S_I libdar::wrapperlib::compressInit | ( | U_I | compression_level | ) |
| inline

Definition at line 95 of file wrapperlib.hpp.

## ◆ decompress()

S_I libdar::wrapperlib::decompress | ( | S_I | flag | ) |
| inline

Definition at line 100 of file wrapperlib.hpp.

## ◆ decompressEnd()

S_I libdar::wrapperlib::decompressEnd | ( |  | ) |
| inline

Definition at line 98 of file wrapperlib.hpp.

## ◆ decompressInit()

S_I libdar::wrapperlib::decompressInit | ( |  | ) |
| inline

Definition at line 96 of file wrapperlib.hpp.

## ◆ get_avail_in()

U_I libdar::wrapperlib::get_avail_in | ( |  | ) | const
| inline

Definition at line 86 of file wrapperlib.hpp.

## ◆ get_avail_out()

U_I libdar::wrapperlib::get_avail_out | ( |  | ) | const
| inline

Definition at line 92 of file wrapperlib.hpp.

## ◆ get_next_out()

char * libdar::wrapperlib::get_next_out | ( |  | ) | const
| inline

Definition at line 90 of file wrapperlib.hpp.

## ◆ get_total_in()

U_64 libdar::wrapperlib::get_total_in | ( |  | ) | const
| inline

Definition at line 87 of file wrapperlib.hpp.

## ◆ get_total_out()

U_64 libdar::wrapperlib::get_total_out | ( |  | ) | const
| inline

Definition at line 93 of file wrapperlib.hpp.

## ◆ set_avail_in()

void libdar::wrapperlib::set_avail_in | ( | U_I | x | ) |
| inline

Definition at line 85 of file wrapperlib.hpp.

## ◆ set_avail_out()

void libdar::wrapperlib::set_avail_out | ( | U_I | x | ) |
| inline

Definition at line 91 of file wrapperlib.hpp.

## ◆ set_next_in()

void libdar::wrapperlib::set_next_in | ( | const char * | x | ) |
| inline

Definition at line 84 of file wrapperlib.hpp.

## ◆ set_next_out()

void libdar::wrapperlib::set_next_out | ( | char * | x | ) |
| inline

Definition at line 89 of file wrapperlib.hpp.

## Member Data Documentation

## ◆ level

S_I libdar::wrapperlib::level
| private

Definition at line 115 of file wrapperlib.hpp.

## ◆ x_compress

S_I(wrapperlib::* libdar::wrapperlib::x_compress) (S_I flag)
| private

Definition at line 132 of file wrapperlib.hpp.

## ◆ x_compressEnd

S_I(wrapperlib::* libdar::wrapperlib::x_compressEnd) ()
| private

Definition at line 130 of file wrapperlib.hpp.

## ◆ x_compressInit

S_I(wrapperlib::* libdar::wrapperlib::x_compressInit) (U_I compression_level)
| private

Definition at line 128 of file wrapperlib.hpp.

## ◆ x_decompress

S_I(wrapperlib::* libdar::wrapperlib::x_decompress) (S_I flag)
| private

Definition at line 133 of file wrapperlib.hpp.

## ◆ x_decompressEnd

S_I(wrapperlib::* libdar::wrapperlib::x_decompressEnd) ()
| private

Definition at line 131 of file wrapperlib.hpp.

## ◆ x_decompressInit

S_I(wrapperlib::* libdar::wrapperlib::x_decompressInit) ()
| private

Definition at line 129 of file wrapperlib.hpp.

## ◆ x_get_avail_in

U_I(wrapperlib::* libdar::wrapperlib::x_get_avail_in) () const
| private

Definition at line 119 of file wrapperlib.hpp.

## ◆ x_get_avail_out

U_I(wrapperlib::* libdar::wrapperlib::x_get_avail_out) () const
| private

Definition at line 125 of file wrapperlib.hpp.

## ◆ x_get_next_out

char *(wrapperlib::* libdar::wrapperlib::x_get_next_out) () const
| private

Definition at line 123 of file wrapperlib.hpp.

## ◆ x_get_total_in

U_64(wrapperlib::* libdar::wrapperlib::x_get_total_in) () const
| private

Definition at line 120 of file wrapperlib.hpp.

## ◆ x_get_total_out

U_64(wrapperlib::* libdar::wrapperlib::x_get_total_out) () const
| private

Definition at line 126 of file wrapperlib.hpp.

## ◆ x_set_avail_in

void(wrapperlib::* libdar::wrapperlib::x_set_avail_in) (U_I x)
| private

Definition at line 118 of file wrapperlib.hpp.

## ◆ x_set_avail_out

void(wrapperlib::* libdar::wrapperlib::x_set_avail_out) (U_I x)
| private

Definition at line 124 of file wrapperlib.hpp.

## ◆ x_set_next_in

void(wrapperlib::* libdar::wrapperlib::x_set_next_in) (const char *x)
| private

Definition at line 117 of file wrapperlib.hpp.

## ◆ x_set_next_out

void(wrapperlib::* libdar::wrapperlib::x_set_next_out) (char *x)
| private

Definition at line 122 of file wrapperlib.hpp.

The documentation for this class was generated from the following file:

- wrapperlib.hpp